> ## Documentation Index
> Fetch the complete documentation index at: https://docs.radinai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Summary here

> ایجاد درخواست تولید ویدیو با مدل Seedance 2 Omni



## OpenAPI

````yaml /api-1(12).json post /v2/generation/seedance-2-omni
openapi: 3.0.3
info:
  title: رادین API اسناد
  description: >
    ### 📚 انتخاب کتابخانه




    از این لیست می‌توانید کتابخانه مورد استفاده خود را انتخاب کنید تا اسناد
    مربوطه ایجاد شوند.




    ---




    ### 🔑 احراز هویت (اختیاری)




    می‌توانید کلید خود را برای احراز هویت وارد کنید.




    > کلید در هدر 

    >`x-api-key`

    > قرار می‌گیرد.



    ---


    ## برای ارسال درخواست ها، از دامنه مد نظر استفاده کنید


    دامنه سرور داخلی:

    https://api.radinai.com


    دامنه سرور خارجی:

    https://api2.radinai.com


    نمونه لینک نهایی API endpoint:

    https://api.radinai.com/generate/create-video


    پلی گراند سرور خارجی:

    https://api2.radinai.com/docs
  version: '1.0'
  contact:
    name: پشتیبانی
    url: https://radinai.com/support
servers:
  - url: https://api2.radinai.com
    description: رادین API خارجی
    variables:
      basePath:
        default: /v2
        description: پسوند سرویس ها
security:
  - ApiKeyAuth: []
tags:
  - name: Content Generation
    description: ایجاد و مدیریت درخواست های تولید محتوا
  - name: مدیریت فایل ها
    description: آپلود، دانلود، حذف فایل ها و لیست کردن فایل ها
externalDocs:
  url: https://radinai.com/api-dashboard
  description: رادین API داشبورد
paths:
  /v2/generation/seedance-2-omni:
    post:
      tags:
        - Seedance 2 Omni
      summary: Summary here
      description: ایجاد درخواست تولید ویدیو با مدل Seedance 2 Omni
      operationId: seedance-2-omni
      parameters:
        - name: webhookUrl
          in: query
          required: false
          schema:
            type: string
            description: لینک وبهوک شما، نتیجه تولید محتوا به این آدرست پست می شود. (Post)
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                prompt:
                  type: string
                  minLength: 0
                  maxLength: 5000
                  example: <your-prompt>
                duration:
                  type: string
                  enum:
                    - '4'
                    - '5'
                    - '6'
                    - '7'
                    - '8'
                    - '9'
                    - '10'
                    - '11'
                    - '12'
                    - '13'
                    - '14'
                    - '15'
                images:
                  maxItems: 9
                  type: array
                  items:
                    type: string
                    minLength: 1
                    example: https://radinai.com/image.jpg
                  description: >-
                    آرایه ای از اسم تصویر ها یا لینک دانلود تصویر - اگر لینک
                    دانلود فایلی را ندارید، از بخش آپلود، میتوانید فایل را آپلود
                    کنید و اسم فایل را برای استفاده دریافت کنید.
                videos:
                  maxItems: 3
                  type: array
                  items:
                    type: string
                    minLength: 1
                    example: https://radinai.com/video.mp4
                  description: >-
                    آرایه ای از اسم ویدیو ها یا لینک دانلود ویدیو - اگر لینک
                    دانلود فایلی را ندارید، از بخش آپلود، میتوانید فایل را آپلود
                    کنید و اسم فایل را برای استفاده دریافت کنید.
                audios:
                  maxItems: 3
                  type: array
                  items:
                    type: string
                    minLength: 1
                    example: https://radinai.com/audio.mp3
                  description: >-
                    آرایه ای از اسم فایل های صوتی یا لینک دانلود آن - اگر لینک
                    دانلود فایلی را ندارید، از بخش آپلود، میتوانید فایل را آپلود
                    کنید و اسم فایل را برای استفاده دریافت کنید.
                aspectRatio:
                  type: string
                  enum:
                    - '21:9'
                    - '16:9'
                    - '4:3'
                    - '1:1'
                    - '3:4'
                    - '9:16'
                quality:
                  type: string
                  enum:
                    - '480'
                    - '720'
                    - '1080'
                    - 4K
              required:
                - prompt
                - duration
                - aspectRatio
                - quality
              additionalProperties: false
        required: true
      responses:
        '200':
          description: Response for status 200
          content:
            application/json:
              schema:
                type: object
                required:
                  - genId
                properties:
                  genId:
                    type: string
        '400':
          description: Response for status 400
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '401':
          description: Response for status 401
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '403':
          description: Response for status 403
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
        '500':
          description: Response for status 500
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                properties:
                  message:
                    type: string
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: کلید خود را اینجا وارد کنید

````